Print Friendly

# Class YAHOO.ext.BasicDialog.Button

Package: | YAHOO.ext
Class: | BasicDialog.Button
Extends: | Object
Defined In: | BasicDialog.js

Button class returned by BasicDialog.addButton()

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---
| disable() : void | BasicDialog.Button
Disable this button
| enable() : void | BasicDialog.Button
Enable this button
| focus() : void | BasicDialog.Button
Focus the button
| getEl() : YAHOO.ext.Element | BasicDialog.Button
Returns the buttons element
| hide() : void | BasicDialog.Button
Hide this button
| setHandler(`Function handler`, [`Object scope`]) : void | BasicDialog.Button
Sets this buttons click handler
| setText(`String text`) : void | BasicDialog.Button
Set this buttons text
| setVisible(`Boolean visible`) : void | BasicDialog.Button
Convenience function for boolean show/hide
| show() : void | BasicDialog.Button
Show this button

## Public Events

This class has no public events.

## Method Details

### disable

`public function disable()`
Disable this button
Parameters:

- None.

Returns:

- `void`

This method is defined by BasicDialog.Button.

### enable

`public function enable()`
Enable this button
Parameters:

- None.

Returns:

- `void`

This method is defined by BasicDialog.Button.

### focus

`public function focus()`
Focus the button
Parameters:

- None.

Returns:

- `void`

This method is defined by BasicDialog.Button.

### getEl

`public function getEl()`
Returns the buttons element
Parameters:

- None.

Returns:

- `YAHOO.ext.Element`

This method is defined by BasicDialog.Button.

### hide

`public function hide()`
Hide this button
Parameters:

- None.

Returns:

- `void`

This method is defined by BasicDialog.Button.

### setHandler

`public function setHandler(`Function handler`, [`Object scope`])`
Sets this buttons click handler
Parameters:

- `handler` : Function
  The function to call when the button is clicked
- `scope` : Object
  (optional) Scope for the function passed above

Returns:

- `void`

This method is defined by BasicDialog.Button.

### setText

`public function setText(`String text`)`
Set this buttons text
Parameters:

- `text` : String

Returns:

- `void`

This method is defined by BasicDialog.Button.

### setVisible

`public function setVisible(`Boolean visible`)`
Convenience function for boolean show/hide
Parameters:

- `visible` : Boolean
  true to show/false to hide

Returns:

- `void`

This method is defined by BasicDialog.Button.

### show

`public function show()`
Show this button
Parameters:

- None.

Returns:

- `void`

This method is defined by BasicDialog.Button.

Copyright © 2006 Jack Slocum. All rights reserved.